Bug 12565 - Acq: Link to basket in breadcrumbs broken
Summary: Acq: Link to basket in breadcrumbs broken
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.16
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-12 18:40 UTC by Katrin Fischer
Modified: 2016-06-21 21:37 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 12565: Acq: Fix broken link in breadcrumbs (1.85 KB, patch)
2014-11-30 07:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 12565: Acq: Fix broken link in breadcrumbs (1.95 KB, patch)
2014-12-02 10:08 UTC, Paola Rossi
Details | Diff | Splinter Review
Bug 12565: Acq: Fix broken link in breadcrumbs (1.97 KB, patch)
2014-12-04 15:10 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2014-07-12 18:40:09 UTC
To reproduce:

- Start a new basket
- Search for an existing record in your catalog
- Try to get back to the basket, using the link in the breadcrumbs
- Verify it won't work
- Look at the link, it will look something like:
  /cgi-bin/koha/acqui/basket.pl?=55

There is an extra ? that breaks it.
Comment 1 Katrin Fischer 2014-11-30 07:17:28 UTC
Actually, the missing "basketno" breaks it - patchin coming.
Comment 2 Katrin Fischer 2014-11-30 07:20:51 UTC Comment hidden (obsolete)
Comment 3 Paola Rossi 2014-12-02 10:08:58 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2014-12-04 15:10:40 UTC
Created attachment 34128 [details] [review]
Bug 12565: Acq: Fix broken link in breadcrumbs

The link back to the basket when creating an order by
searching for an existing record in the catalog is
broken.

To test:
- Start a new basket
- Create a new order line by searching for an existing
  record in your catalog
- Try the link back to the basket from the breadcrumbs
  at the result list page
- Verify that the link is broken
- Apply patch and retest

Signed-off-by: Paola Rossi <paola.rossi@cineca.it>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Tomás Cohen Arazi 2014-12-19 20:11:08 UTC
Patch pushed to master.

Gracias Katrina!
Comment 6 Chris Cormack 2014-12-19 23:42:02 UTC
Template changes, held for 3.18.3
Comment 7 Chris Cormack 2014-12-25 18:56:00 UTC
Pushed to 3.18.x will be in 3.18.3
Comment 8 Mason James 2015-01-16 18:54:10 UTC
Contains string changes, holding for 3.16.8
Comment 9 Mason James 2015-01-18 00:45:37 UTC
Pushed to 3.16.x, will be in 3.16.7